# HG changeset patch
# Node ID fe503b13a224f22171f270cff9b8b72a4d71ca51
# Parent  8c7bd2b5757e15f1b7537eae24eb2671f2b3968d
diff --git a/libpurple/meson.build b/libpurple/meson.build
--- a/libpurple/meson.build
+++ b/libpurple/meson.build
@@ -16,7 +16,6 @@
 	'purpleaddcontactrequest.c',
 	'purpleattachment.c',
 	'purpleauthorizationrequest.c',
-	'purpleauthorizationrequestnotification.c',
 	'purpleavatar.c',
 	'purplechanneljoindetails.c',
 	'purpleconnectionerrorinfo.c',
@@ -43,6 +42,7 @@
 	'purplemessage.c',
 	'purplenoopcredentialprovider.c',
 	'purplenotification.c',
+	'purplenotificationauthorizationrequest.c',
 	'purplenotificationmanager.c',
 	'purpleoptions.c',
 	'purplepath.c',
@@ -104,7 +104,6 @@
 	'purpleaccountusersplit.h',
 	'purpleaddcontactrequest.h',
 	'purpleauthorizationrequest.h',
-	'purpleauthorizationrequestnotification.h',
 	'purpleavatar.h',
 	'purplechanneljoindetails.h',
 	'purpleconnectionerrorinfo.h',
@@ -132,6 +131,7 @@
 	'purplemessage.h',
 	'purplenoopcredentialprovider.h',
 	'purplenotification.h',
+	'purplenotificationauthorizationrequest.h',
 	'purplenotificationmanager.h',
 	'purpleoptions.h',
 	'purplepath.h',
diff --git a/libpurple/purpleauthorizationrequestnotification.h b/libpurple/purplenotificationauthorizationrequest.h
rename from libpurple/purpleauthorizationrequestnotification.h
rename to libpurple/purplenotificationauthorizationrequest.h
--- a/libpurple/purpleauthorizationrequestnotification.h
+++ b/libpurple/purplenotificationauthorizationrequest.h
@@ -24,8 +24,8 @@
 # error "only <purple.h> may be included directly"
 #endif
 
-#ifndef PURPLE_AUTHORIZATION_REQUEST_NOTIFICATION_H
-#define PURPLE_AUTHORIZATION_REQUEST_NOTIFICATION_H
+#ifndef PURPLE_NOTIFICATION_AUTHORIZATION_REQUEST_H
+#define PURPLE_NOTIFICATION_AUTHORIZATION_REQUEST_H
 
 #include <glib.h>
 #include <glib-object.h>
@@ -37,23 +37,23 @@
 G_BEGIN_DECLS
 
 /**
- * PurpleAuthorizationRequestNotification:
+ * PurpleNotificationAuthorizationRequest:
  *
  * A [class@Notification] for [class@AuthorizationRequest]s.
  *
  * Since: 3.0
  */
 
-#define PURPLE_TYPE_AUTHORIZATION_REQUEST_NOTIFICATION (purple_authorization_request_notification_get_type())
+#define PURPLE_TYPE_NOTIFICATION_AUTHORIZATION_REQUEST (purple_notification_authorization_request_get_type())
 
 PURPLE_AVAILABLE_IN_3_0
-G_DECLARE_FINAL_TYPE(PurpleAuthorizationRequestNotification,
-                     purple_authorization_request_notification,
-                     PURPLE, AUTHORIZATION_REQUEST_NOTIFICATION,
+G_DECLARE_FINAL_TYPE(PurpleNotificationAuthorizationRequest,
+                     purple_notification_authorization_request,
+                     PURPLE, NOTIFICATION_AUTHORIZATION_REQUEST,
                      PurpleNotification)
 
 /**
- * purple_authorization_request_notification_new:
+ * purple_notification_authorization_request_new:
  * @request: The authorization request instance.
  *
  * Creates a new [class@Notification] for @request.
@@ -63,10 +63,10 @@
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-PurpleNotification *purple_authorization_request_notification_new(PurpleAuthorizationRequest *request);
+PurpleNotification *purple_notification_authorization_request_new(PurpleAuthorizationRequest *request);
 
 /**
- * purple_authorization_request_notification_get_request:
+ * purple_notification_authorization_request_get_request:
  * @notification: The instance.
  *
  * Gets the [class@AuthorizationRequest] for @notification.
@@ -76,8 +76,8 @@
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-PurpleAuthorizationRequest *purple_authorization_request_notification_get_request(PurpleAuthorizationRequestNotification *notification);
+PurpleAuthorizationRequest *purple_notification_authorization_request_get_request(PurpleNotificationAuthorizationRequest *notification);
 
 G_END_DECLS
 
-#endif /* PURPLE_AUTHORIZATION_REQUEST_NOTIFICATION_H */
+#endif /* PURPLE_NOTIFICATION_AUTHORIZATION_REQUEST_H */
diff --git a/libpurple/purpleauthorizationrequestnotification.c b/libpurple/purplenotificationauthorizationrequest.c
rename from libpurple/purpleauthorizationrequestnotification.c
rename to libpurple/purplenotificationauthorizationrequest.c
--- a/libpurple/purpleauthorizationrequestnotification.c
+++ b/libpurple/purplenotificationauthorizationrequest.c
@@ -22,7 +22,7 @@
 
 #include <glib/gi18n-lib.h>
 
-#include "purpleauthorizationrequestnotification.h"
+#include "purplenotificationauthorizationrequest.h"
 
 #include "util.h"
 
@@ -33,14 +33,14 @@
 };
 static GParamSpec *properties[N_PROPERTIES] = {NULL, 0};
 
-struct _PurpleAuthorizationRequestNotification {
+struct _PurpleNotificationAuthorizationRequest {
 	PurpleNotification parent;
 
 	PurpleAuthorizationRequest *authorization_request;
 };
 
 static void
-purple_authorization_request_notification_request_changed_cb(GObject *obj,
+purple_notification_authorization_request_request_changed_cb(GObject *obj,
                                                              GParamSpec *pspec,
                                                              gpointer data);
 
@@ -48,7 +48,7 @@
  * Helpers
  *****************************************************************************/
 static void
-purple_authorization_request_notification_update(PurpleAuthorizationRequestNotification *auth_notification)
+purple_notification_authorization_request_update(PurpleNotificationAuthorizationRequest *auth_notification)
 {
 	PurpleAccount *account = NULL;
 	PurpleAuthorizationRequest *request = NULL;
@@ -79,18 +79,18 @@
 }
 
 static void
-purple_authorization_request_notification_set_request(PurpleAuthorizationRequestNotification *notification,
+purple_notification_authorization_request_set_request(PurpleNotificationAuthorizationRequest *notification,
                                                       PurpleAuthorizationRequest *request)
 {
-	g_return_if_fail(PURPLE_IS_AUTHORIZATION_REQUEST_NOTIFICATION(notification));
+	g_return_if_fail(PURPLE_IS_NOTIFICATION_AUTHORIZATION_REQUEST(notification));
 
 	if(g_set_object(&notification->authorization_request, request)) {
 		if(PURPLE_IS_AUTHORIZATION_REQUEST(request)) {
 			g_signal_connect_object(request, "notify",
-			                        G_CALLBACK(purple_authorization_request_notification_request_changed_cb),
+			                        G_CALLBACK(purple_notification_authorization_request_request_changed_cb),
 			                        notification, 0);
 
-			purple_authorization_request_notification_update(notification);
+			purple_notification_authorization_request_update(notification);
 		}
 
 		g_object_notify_by_pspec(G_OBJECT(notification),
@@ -102,45 +102,45 @@
  * Callbacks
  *****************************************************************************/
 static void
-purple_authorization_request_notification_request_changed_cb(G_GNUC_UNUSED GObject *obj,
+purple_notification_authorization_request_request_changed_cb(G_GNUC_UNUSED GObject *obj,
                                                              G_GNUC_UNUSED GParamSpec *pspec,
                                                              gpointer data)
 {
-	purple_authorization_request_notification_update(data);
+	purple_notification_authorization_request_update(data);
 }
 
 /******************************************************************************
  * GObject Implementation
  *****************************************************************************/
-G_DEFINE_FINAL_TYPE(PurpleAuthorizationRequestNotification,
-                    purple_authorization_request_notification,
+G_DEFINE_FINAL_TYPE(PurpleNotificationAuthorizationRequest,
+                    purple_notification_authorization_request,
                     PURPLE_TYPE_NOTIFICATION)
 
 static void
-purple_authorization_request_notification_finalize(GObject *object) {
-	PurpleAuthorizationRequestNotification *notification = NULL;
+purple_notification_authorization_request_finalize(GObject *object) {
+	PurpleNotificationAuthorizationRequest *notification = NULL;
 
-	notification = PURPLE_AUTHORIZATION_REQUEST_NOTIFICATION(object);
+	notification = PURPLE_NOTIFICATION_AUTHORIZATION_REQUEST(object);
 
 	g_clear_object(&notification->authorization_request);
 
-	G_OBJECT_CLASS(purple_authorization_request_notification_parent_class)->finalize(object);
+	G_OBJECT_CLASS(purple_notification_authorization_request_parent_class)->finalize(object);
 }
 
 static void
-purple_authorization_request_notification_get_property(GObject *obj,
+purple_notification_authorization_request_get_property(GObject *obj,
                                                        guint param_id,
                                                        GValue *value,
                                                        GParamSpec *pspec)
 {
-	PurpleAuthorizationRequestNotification *notification = NULL;
+	PurpleNotificationAuthorizationRequest *notification = NULL;
 
-	notification = PURPLE_AUTHORIZATION_REQUEST_NOTIFICATION(obj);
+	notification = PURPLE_NOTIFICATION_AUTHORIZATION_REQUEST(obj);
 
 	switch(param_id) {
 	case PROP_AUTHORIZATION_REQUEST:
 		g_value_set_object(value,
-		                   purple_authorization_request_notification_get_request(notification));
+		                   purple_notification_authorization_request_get_request(notification));
 		break;
 	default:
 		G_OBJECT_WARN_INVALID_PROPERTY_ID(obj, param_id, pspec);
@@ -149,18 +149,18 @@
 }
 
 static void
-purple_authorization_request_notification_set_property(GObject *obj,
+purple_notification_authorization_request_set_property(GObject *obj,
                                                        guint param_id,
                                                        const GValue *value,
                                                        GParamSpec *pspec)
 {
-	PurpleAuthorizationRequestNotification *notification = NULL;
+	PurpleNotificationAuthorizationRequest *notification = NULL;
 
-	notification = PURPLE_AUTHORIZATION_REQUEST_NOTIFICATION(obj);
+	notification = PURPLE_NOTIFICATION_AUTHORIZATION_REQUEST(obj);
 
 	switch(param_id) {
 	case PROP_AUTHORIZATION_REQUEST:
-		purple_authorization_request_notification_set_request(notification,
+		purple_notification_authorization_request_set_request(notification,
 		                                                      g_value_get_object(value));
 		break;
 	default:
@@ -170,21 +170,21 @@
 }
 
 static void
-purple_authorization_request_notification_init(G_GNUC_UNUSED PurpleAuthorizationRequestNotification *notification)
+purple_notification_authorization_request_init(G_GNUC_UNUSED PurpleNotificationAuthorizationRequest *notification)
 {
 }
 
 static void
-purple_authorization_request_notification_class_init(PurpleAuthorizationRequestNotificationClass *klass)
+purple_notification_authorization_request_class_init(PurpleNotificationAuthorizationRequestClass *klass)
 {
 	GObjectClass *obj_class = G_OBJECT_CLASS(klass);
 
-	obj_class->finalize = purple_authorization_request_notification_finalize;
-	obj_class->get_property = purple_authorization_request_notification_get_property;
-	obj_class->set_property = purple_authorization_request_notification_set_property;
+	obj_class->finalize = purple_notification_authorization_request_finalize;
+	obj_class->get_property = purple_notification_authorization_request_get_property;
+	obj_class->set_property = purple_notification_authorization_request_set_property;
 
 	/**
-	 * PurpleAuthorizationRequestNotification:authorization-request:
+	 * PurpleNotificationAuthorizationRequest:authorization-request:
 	 *
 	 * The [class@AuthorizationRequest] that this notification was created for.
 	 *
@@ -203,7 +203,7 @@
  * Public API
  *****************************************************************************/
 PurpleNotification *
-purple_authorization_request_notification_new(PurpleAuthorizationRequest *request)
+purple_notification_authorization_request_new(PurpleAuthorizationRequest *request)
 {
 	PurpleAccount *account = NULL;
 
@@ -212,16 +212,16 @@
 	account = purple_authorization_request_get_account(request);
 
 	return g_object_new(
-	    PURPLE_TYPE_AUTHORIZATION_REQUEST_NOTIFICATION,
+	    PURPLE_TYPE_NOTIFICATION_AUTHORIZATION_REQUEST,
 	    "account", account,
 	    "authorization-request", request,
 	    NULL);
 }
 
 PurpleAuthorizationRequest *
-purple_authorization_request_notification_get_request(PurpleAuthorizationRequestNotification *notification)
+purple_notification_authorization_request_get_request(PurpleNotificationAuthorizationRequest *notification)
 {
-	g_return_val_if_fail(PURPLE_IS_AUTHORIZATION_REQUEST_NOTIFICATION(notification),
+	g_return_val_if_fail(PURPLE_IS_NOTIFICATION_AUTHORIZATION_REQUEST(notification),
 	                     NULL);
 
 	return notification->authorization_request;
diff --git a/libpurple/tests/meson.build b/libpurple/tests/meson.build
--- a/libpurple/tests/meson.build
+++ b/libpurple/tests/meson.build
@@ -2,7 +2,6 @@
     'account_option',
     'account_manager',
     'authorization_request',
-    'authorization_request_notification',
     'channel_join_details',
     'circular_buffer',
     'create_conversation_details',
@@ -25,6 +24,7 @@
     'menu',
     'message',
     'notification',
+    'notification_authorization_request',
     'notification_manager',
     'person',
     'presence',
diff --git a/libpurple/tests/test_authorization_request_notification.c b/libpurple/tests/test_notification_authorization_request.c
rename from libpurple/tests/test_authorization_request_notification.c
rename to libpurple/tests/test_notification_authorization_request.c
--- a/libpurple/tests/test_authorization_request_notification.c
+++ b/libpurple/tests/test_notification_authorization_request.c
@@ -26,7 +26,7 @@
  * Callbacks
  *****************************************************************************/
 static void
-test_purple_authorization_request_notification_notify_cb(GObject *obj,
+test_purple_notification_authorization_request_notify_cb(GObject *obj,
                                                          G_GNUC_UNUSED GParamSpec *pspec,
                                                          gpointer data)
 {
@@ -41,17 +41,17 @@
  * Tests
  *****************************************************************************/
 static void
-test_purple_authorization_request_notification_new(void) {
+test_purple_notification_authorization_request_new(void) {
 	PurpleAccount *account = NULL;
 	PurpleAuthorizationRequest *request = NULL;
 	PurpleNotification *notification = NULL;
 
 	account = purple_account_new("test", "test");
 	request = purple_authorization_request_new(account, "remote-username");
-	notification = purple_authorization_request_notification_new(request);
+	notification = purple_notification_authorization_request_new(request);
 
 	g_assert_true(PURPLE_IS_NOTIFICATION(notification));
-	g_assert_true(PURPLE_IS_AUTHORIZATION_REQUEST_NOTIFICATION(notification));
+	g_assert_true(PURPLE_IS_NOTIFICATION_AUTHORIZATION_REQUEST(notification));
 
 	g_assert_finalize_object(notification);
 
@@ -60,7 +60,7 @@
 }
 
 static void
-test_purple_authorization_request_notification_properties(void) {
+test_purple_notification_authorization_request_properties(void) {
 	PurpleAccount *account = NULL;
 	PurpleAuthorizationRequest *request = NULL;
 	PurpleAuthorizationRequest *request1 = NULL;
@@ -70,7 +70,7 @@
 	request = purple_authorization_request_new(account, "username");
 
 	notification = g_object_new(
-		PURPLE_TYPE_AUTHORIZATION_REQUEST_NOTIFICATION,
+		PURPLE_TYPE_NOTIFICATION_AUTHORIZATION_REQUEST,
 		"account", account,
 		"authorization-request", request,
 		NULL);
@@ -90,7 +90,7 @@
 }
 
 static void
-test_purple_authorization_request_notification_updates_title(void) {
+test_purple_notification_authorization_request_updates_title(void) {
 	PurpleAccount *account = NULL;
 	PurpleAuthorizationRequest *request = NULL;
 	PurpleNotification *notification = NULL;
@@ -99,9 +99,9 @@
 	account = purple_account_new("test", "test");
 	request = purple_authorization_request_new(account, "remote-username");
 
-	notification = purple_authorization_request_notification_new(request);
+	notification = purple_notification_authorization_request_new(request);
 	g_signal_connect(notification, "notify::title",
-	                 G_CALLBACK(test_purple_authorization_request_notification_notify_cb),
+	                 G_CALLBACK(test_purple_notification_authorization_request_notify_cb),
 	                 &counter);
 
 	g_assert_cmpuint(counter, ==, 0);
@@ -127,12 +127,12 @@
 
 	test_ui_purple_init();
 
-	g_test_add_func("/request-authorization-notification/new",
-	                test_purple_authorization_request_notification_new);
-	g_test_add_func("/request-authorization-notification/properties",
-	                test_purple_authorization_request_notification_properties);
-	g_test_add_func("/request-authorization-notification/updates-title",
-	                test_purple_authorization_request_notification_updates_title);
+	g_test_add_func("/notification-request-authorization/new",
+	                test_purple_notification_authorization_request_new);
+	g_test_add_func("/notification-request-authorization/properties",
+	                test_purple_notification_authorization_request_properties);
+	g_test_add_func("/notification-request-authorization/updates-title",
+	                test_purple_notification_authorization_request_updates_title);
 
 	ret = g_test_run();
 
